image: debian/bookworm
packages:
  - qtbase5-dev
  - qttools5-dev
  - cmake
  - clang
  - libcurl4-openssl-dev
  - wget
  - fuse
  - file
  - xorg-dev # shouldn't install Xorg!
  - libwayland-dev
  - pkg-config
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
environment:
  BUILD_SUBMITTER: hg.sr.ht
tasks:
  - build: |
      cd minori
      mkdir build
      cd build
      cmake .. -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Release
      make

      wget -O linuxdeploy "https://github.com/linuxdeploy/linuxdeploy/releases/download/1-alpha-20231026-1/linuxdeploy-x86_64.AppImage"
      chmod +x linuxdeploy
      ./linuxdeploy --appdir Minori --executable minori -l libanimia.so -l libanitomy.so -l libpugixml.so -d rc/Minori.desktop -i rc/Minori.png --output appimage
artifacts:
  - minori/build/Minori-x86_64.AppImage
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
